com.h3c.sdn.adm.dao.model

## Class AuditLogEntryEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity
  - - com.h3c.sdn.dao.model.SystemLocalEntity
    - - com.h3c.sdn.adm.dao.model.AuditLogEntryEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class AuditLogEntryEntity
      extends SystemLocalEntity

  Represents an Audit Log Entry entity within the persistence layer. Provides a default constructor for use by the persistence layer. Once the Audit Log Entry entity has been persisted, there are currently no fields that are expected to be changed, hence there are no setter method exposed for these fields. All fields will either be set by the persistence layer or via the full constructor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditLogEntryEntity()` Empty construct for use by the JPA layer.
    `AuditLogEntryEntity(UUID uid, UUID sysId, String user, String origin, Date timestamp, String activity, String description)` Creates an audit log entry entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActivity()` Get the type of activity associated with this audit log.
    `String` | `getDescription()` Get the description of this audit log.
    `String` | `getOrigin()` Gets the origin associated with this audit log.
    `Date` | `getTimestamp()` Gets the time stamp associated with this audit log.
    `String` | `getUser()` Gets the user associated with this audit log.

    - ### Methods inherited from class com.h3c.sdn.dao.model.SystemLocalEntity

      `getSysId`

    - ### Methods inherited from class com.h3c.sdn.dao.model.BaseEntity

      `equals, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditLogEntryEntity

          public AuditLogEntryEntity()

      Empty construct for use by the JPA layer.

    - #### AuditLogEntryEntity

          public AuditLogEntryEntity(UUID uid,
                             UUID sysId,
                             String user,
                             String origin,
                             Date timestamp,
                             String activity,
                             String description)

      Creates an audit log entry entity.
      Parameters:
        `uid` - the external unique identity
        `sysId` - system that generates this audit log
        `user` - the user associated with the audit log
        `origin` - the origin associated with the audit log
        `timestamp` - the time when the audit log was created
        `activity` - the type of activity associated with audit log
        `description` - a description of the audit log activity

  - ### Method Detail

    - #### getUser

          public String getUser()

      Gets the user associated with this audit log.
      Returns:
        String representing the user associated with the audit log

    - #### getOrigin

          public String getOrigin()

      Gets the origin associated with this audit log.
      Returns:
        String representing the origin associated with the audit log

    - #### getTimestamp

          public Date getTimestamp()

      Gets the time stamp associated with this audit log.
      Returns:
        Date representing the time of audit log creation

    - #### getActivity

          public String getActivity()

      Get the type of activity associated with this audit log.
      Returns:
        String representing type of activity

    - #### getDescription

          public String getDescription()

      Get the description of this audit log.
      Returns:
        String representing description of activity

Copyright © 2014. All Rights Reserved.